<?php
require __DIR__ . '/head.php';
require __DIR__ . '/header.php';

$sistema = new ControllerSistema();
$sistema = $sistema->getByAttr();

$msg = '';
if ($_POST && !empty($_POST['nome']) && !empty($_POST['email']) && !empty($_POST['assunto']) && !empty($_POST['mensagem'])) {

	$configMail = array(
		'user' => $sistema->getSmtpUsuario(),
		'pass' => $sistema->getSmtpSenha(),
		'host' => $sistema->getSmtpHost(),
		'port' => $sistema->getSmtpPorta());

	$configSender = array(
		'email' => $sistema->getSmtpUsuario(),
		'nome' => $sistema->getNome());

	$sender = new \Framework\Mail(
		$sistema->getSmtpHost(),
		$sistema->getSmtpUsuario(),
		$sistema->getSmtpSenha(),
		$sistema->getSmtpSeguranca(),
		$sistema->getSmtpPorta());

	$email_contato = $sistema->getEmailContato();

	$msg = "
    <table width=\"700\" bgcolor=\"#ffffff\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
        <tbody>
            <tr>
                <td style=\"font:12px/normal Arial;padding:10px;font-size-adjust:none;font-stretch:normal\">
                    <table width=\"100%\" border=\"1\" cellspacing=\"0\">
                        <tr>
                            <td ><strong>Nome contato:</strong></td>
                            <td >{$_POST['nome']}</td>
                        </tr>
                        <tr>
                            <td><strong>E-mail:</strong></td>
                            <td>{$_POST['email']}</td>
                        </tr>
                        <tr>
                            <td><strong>Telefone:</strong></td>
                            <td>{$_POST['telefone']}</td>
                        </tr>
                        <tr>
                            <td><strong>Assunto:</strong></td>
                            <td>{$_POST['assunto']}</td>
                        </tr>
                        <tr>
                            <td><strong>Mensagem:</strong></td>
                            <td>{$_POST['mensagem']}</td>
                        </tr>

                    </table>
                </td>
            </tr>
        </tbody>
    </table>
    ";
	$sender->send(
		$email_contato,
		$sistema->getNome(),
		$sistema->getEmailSender(),
		$sistema->getNome(),
		'Contato',
		$msg);

}

?>

<!-- Contact -->
<div class="page-header py-3">
    <h1 class="page-title m-0 p-2 text-center text-uppercase font-weight-bold">Contato</h1>
</div>

<div class="page-content py-5">
    <div class="container">
        <div class="row">
            <div class="col-lg-9">
                <?php if ($msg): ?>
                    <div class="p-3 mb-2 bg-success text-white">Contato Enviado</div>
                <?php endif;?>
                <form method="post">
                    <div class="form-group">
                        <label class="font-weight-bold">* NOME</label>
                        <input type="text" name="nome" value="<?php isset($_POST['nome']) ? $_POST['nome'] : '';?>" class="form-control" required="true">
                    </div>
                    <div class="form-group">
                        <div class="row">
                            <div class="col-lg-6">
                                <label class="font-weight-bold">TELEFONE</label>
                                <input type="text" name="telefone" value="<?php isset($_POST['telefone']) ? $_POST['telefone'] : '';?>" class="form-control telefone">
                            </div>
                            <div class="col-lg-6">
                                <label class="font-weight-bold">* E-MAIL</label>
                                <input type="text" name="email" value="<?php isset($_POST['email']) ? $_POST['email'] : '';?>" class="form-control" required="true">
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="font-weight-bold">* Assunto</label>
                        <input type="text" name="assunto" value="<?php isset($_POST['assunto']) ? $_POST['assunto'] : '';?>" class="form-control" required="true">
                    </div>
                    <div class="form-group">
                        <label class="font-weight-bold">* MENSAGEM</label>
                        <textarea name="mensagem" rows="4" class="form-control" required="true"><?php isset($_POST['mensagem']) ? $_POST['mensagem'] : '';?></textarea>
                    </div>
                    <button type="submit" class="btn app-btn-primary float-right px-4">Enviar</button>
                </form>
            </div>
            <?php require __DIR__ . '/sidebar-contato.php';?>
        </div>
    </div>
</div>
<div id="map" class="mt-5" style="height: 400px;"></div>

<script>
    // Style do mapa
    function initialize()
    {
        var infowindow = new google.maps.InfoWindow();
        // var bounds     = new google.maps.LatLngBounds();


        var map = new google.maps.Map(document.getElementById('map'), {
            center: new google.maps.LatLng(<?php echo $latitude_padrao; ?>, <?php echo $longitude_padrao;?>),
            zoom: 14,
            scrollwheel: false,
            styles: [{"featureType": "all", "stylers": [{"saturation": 0 }, {"hue": "#e7ecf0"} ] }, {"featureType": "road", "stylers": [{"saturation": -70 } ] }, {"featureType": "transit", "stylers": [{"visibility": "off"} ] }, {"featureType": "poi", "stylers": [{"visibility": "off"} ] }, {"featureType": "water", "stylers": [{"visibility": "simplified"}, {"saturation": -60 } ] } ]
        });


        var marker = new google.maps.Marker({
            map: map,
            position: new google.maps.LatLng(<?php echo $latitude_padrao; ?>, <?php echo $longitude_padrao;?>),
            icon: 'assets/img/pin.png',
            title: 'Águas para o futuro',
        });

        var contentString = '<div>'
        + '<h6 class="text-center text-blue">Águas para o futuro</h6>'
        + '<div>'
            + '<p><?php echo $sistema_endereco?></p>'
                            + '<p><strong>Telefone(s):</strong> <?php echo $sistema_telefone; ?></p>'
                                            + '<p class="m-0"><strong>E-mail:</strong> <?php echo $email_contato; ?></p>'
                        + '</div>';

        var infowindow = new google.maps.InfoWindow({
            content: contentString
        });

        // google.maps.event.addListener(marker, 'click', function() {
            infowindow.open(map, marker);
        // });
    }

    function loadScript()
    {
        var script = document.createElement('script');
        script.type = 'text/javascript';
        script.src = 'https://maps.googleapis.com/maps/api/js?callback=initialize&key=<?php echo $google_api; ?>';
        document.body.appendChild(script);
    }

    window.onload = loadScript;
</script>

<?php require __DIR__ . '/footer.php';?>
<?php require __DIR__ . '/foot.php';?>

