<?php
require __DIR__ . '/head.php';
require __DIR__ . '/header.php';

$pagination = new \Framework\Pagination(12, getenv('URL') . 'galerias/');
$busca = isset($_POST['busca']) ? $_POST['busca'] : null;
$filtro = array('status' => 'ATIVO');
if ($busca) {
    $lista = $controllerGaleria->entityManager->getRepository("Galeria")
            ->createQueryBuilder('g')
            ->where('g.status LIKE :status AND (g.titulo LIKE :busca OR g.texto LIKE :busca)')
            ->setParameter('busca', "%{$busca}%" )
            ->setParameter('status', 'ATIVO' )
            ->getQuery();
    $res = $lista->getResult();

    $pagination->setNumRows(sizeof($res));
    $pg = $pagination->getSqlLimit();

    $lista = $lista->setFirstResult($pg[0])->setMaxResults($pg[1])->getResult();
        
}else{
    $pagination->setNumRows(sizeof($controllerGaleria->selectAllbyStatus(0, 'ATIVO')));
    $pg = $pagination->getSqlLimit();
    $lista = $controllerGaleria->findBy(array('status' => 'ATIVO'), array('data' => 'DESC'), $pg[1], $pg[0]);
}

$slug = 'galerias';
?>

<div class="page-header py-3">
	<h1 class="page-title m-0 p-2 text-center text-uppercase font-weight-bold">Galerias</h1>
</div>

<div class="page-content py-5">
	<div class="container">
		<div class="row">
			<div class="col-lg albums">
                <div class="row justify-content-end" >
                    <div class="col-lg-auto">
                        <?php echo $busca ? "<div style=\"margin-top:10px;\">Busca por: <span class=\"text-blue\">{$busca}</span></div>" : ''; ?>
                    </div>
                    <form method="post">
                        <div class="col-lg-auto">
                            <div class="input-group shadow-sm">
                                    <input type="text" name="busca" class="form-control" placeholder="Buscar em galerias">
                                    <div class="input-group-append">
                                        <button type="submit" class="btn bg-blue">
                                            <i class="fas fa-search text-white"></i>
                                        </button>
                                    </div>
                            </div>
                        </div>
                    </form>
                </div>
                <hr>
				<div class="row">
					<?php foreach ($lista as $key => $value):
	$imagem = null;
	if (is_file(__DIR__ . '/storage/galeria/' . $value->getImagem())) {
		$imagem = getenv('URL') . 'storage/galeria/' . $value->getImagem();
	} elseif (is_file(__DIR__ . '/storage/' . $value->getImagem())) {
	$imagem = getenv('URL') . 'storage/' . $value->getImagem();
}
?>
					<div class="col-md-6 col-lg-4 mb-5">
						<a href="galeria/<?php echo $value->getSlug(); ?>" title="" class="album d-block bg-white shadow-sm">
                            <?php if ($imagem): ?>
                            <img src="<?php echo $imagem; ?>" alt="" class="album-image mb-1">
                            <?php endif;?>
							<div class="py-3 px-3">
								<time class="album-date mb-2 d-block text-muted"><?php echo utf8_encode(strftime('%d de %B de %Y', $value->getData()->getTimestamp())); ?></time>
								<h2 class="album-title text-blue"><?php echo $value->getTitulo(); ?></h2>
							</div>
						</a>
					</div>
					<?php endforeach;?>
				</div>
                <nav aria-label="Paginação">
                  <ul class="pagination justify-content-center justify-content-end">
                  <?php echo $pagination->Paginate(); ?>
                    <!-- <li class="page-item"><a class="page-link" href="#">Anterior</a></li>
                    <li class="page-item"><a class="page-link" href="#">1</a></li>
                    <li class="page-item active"><a class="page-link" href="#">2</a></li>
                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                    <li class="page-item"><a class="page-link" href="#">Próximo</a></li> -->
                  </ul>
                </nav>
			</div>
			<?php require __DIR__ . '/sidebar-imprensa.php';?>
		</div>
	</div>
</div>

<?php require __DIR__ . '/footer.php';?>
<?php require __DIR__ . '/foot.php';?>




