<?php require __DIR__ . '/head.php';?>
<?php require __DIR__ . '/header.php';?>

<!-- Home -->
<div id="home">
    <div class="section inital" style="position: relative;z-index: 10;">
        <div class="content">
            <!-- Imagem -->
            <div class="home-image d-lg-none"></div>
            <!-- Vídeo -->
            <div class="home-video d-none d-lg-block">
                <video autoplay muted loop>
                  <source src="assets/mp4/rocks-and-river.mp4" type="video/mp4">
                </video>
            </div>
        </div>

        <div class="video-text-slider">
            <?php foreach (range(1, 2) as $k) {?>
            <div class="slide">
                <div class="h-100 d-flex flex-column justify-content-center align-items-center align-items-lg-start">
                    <div class="lg-text mb-2 mb-lg-0">
                        “Onde existe preservação da <br> natureza, existe futuro.”
                    </div>
                    <div class="sm-text mb-2 mb-lg-0">
                        Baixe nosso Aplicativo:
                    </div>
                    <div class="link d-flex">
                        <a href="https://play.google.com/store/apps/details?id=br.com.aguaparaofuturo" title="Google Play" target="_blank" class="mr-3">
                            <img src="assets/img/download-google.png" alt="Google Play">
                        </a>
                        <a href="https://itunes.apple.com/br/app/%C3%A1gua-para-o-futuro/id1208524771?mt=8" title="Apple Store" target="_blank">
                            <img src="assets/img/download-apple.png" alt="Apple Store">
                        </a>
                    </div>
                </div>
            </div>
            <?php }?>
        </div>

        <!-- Next page indicator -->
        <div class="next-page-indicator d-flex align-items-center justify-content-center">
            <i class="fas fa-angle-down"></i>
        </div>
    </div>

    <div class="container">
        <!-- Nascentes -->
        <section class="section source-section pb-3">
        <?php
$nascentes = $controllerNascente->findBy(array('status' => 'CONFIRMADA'), array('id' => 'DESC'), 10)
?>
            <!-- Section header -->
            <header class="section-header mb-5 d-flex align-items-center justify-content-between">
                <h2 class="section-title m-0">Nascentes de Mato Grosso</h2>
                <div class="source-slider-navs"></div>
            </header>
            <!-- Slider -->
            <div class="slider source-slider">
<?php foreach ($nascentes AS $k => $nascente) {
	$imagem = '';
	if (is_file(__DIR__ . '/storage/nascentes/' . $nascente->getImagemPrincipal())) {
		$imagem = getenv('URL') . 'storage/nascentes/' . $nascente->getImagemPrincipal();
	} elseif (is_file(__DIR__ . '/storage/' . $nascente->getImagemPrincipal())) {
		$imagem = getenv('URL') . 'storage/' . $nascente->getImagemPrincipal();
	}
	?>
                <div class="slide source-slide py-3">
                    <a href="nascente/<?php echo $nascente->getSlug(); ?>" title="" class="source mx-3 d-block">
                        <img src="<?php echo $imagem; ?>" width="368" height="510" class="source-image">
                        <div class="source-data p-3 d-flex flex-column justify-content-end">
                            <h3 class="source-name mb-4"><?php echo $nascente->getTitulo(); ?></h3>
                            <div class="source-stream mb-2 d-flex align-items-center">
                                <div class="text">
                                    <span class="mr-1">Córrego:</span> <?php echo $nascente->getCorrego(); ?>
                                </div>
                            </div>
                            <div class="source-location mb-3 d-flex align-items-center">
                                <div class="text">
<?php
$endereco = [
		$nascente->getLocalizacao()->getBairro(),
		$nascente->getLocalizacao()->getCidade() ? $nascente->getLocalizacao()->getCidade()->getNome() : null,
		$nascente->getLocalizacao()->getCidade() ? $nascente->getLocalizacao()->getCidade()->getEstado() : null];
	?>
                                    <span class="mr-1">Localização:</span> <?php echo implode(', ', $endereco); ?>
                                </div>
                            </div>
                            <span class="source-more mx-auto px-5 py-2 border border-white">Saiba Mais</span>
                        </div>
                    </a>
                </div>
                <?php }?>
            </div>
        </section>

        <!-- Apoio -->
        <section class="section support-section pt-4 pb-5 px-4">
            <!-- Section header -->
            <header class="section-header mb-5 d-flex align-items-center justify-content-between">
                <h2 class="section-title m-0">Conheça nossos Partícipes e Apoio</h2>
            </header>
            <!-- Logos -->
            <div class="logos-slider">
                <?php
$participes = $controllerParticipe->findBy(array('status' => 'ATIVO'), array('ordem' => 'DESC'));
foreach ($participes as $key => $participe) {?>
                <div class="slide text-center">
                    <a class="d-block" style=" display: flex !important;justify-content: center;flex-direction: column;align-items: center;">
                        <img style="max-width: 90%; max-height: 90%;" src="storage/participes/<?php echo $participe->getlogo(); ?>" alt="<?php echo $participe->getNome(); ?>" class="mx-auto">
                    </a>
                </div>
                <?php }?>

            </div>
        </section>

        <!-- Aplicativo -->
        <section class="section app-section pt-4 pb-5">
            <div class="row">
                <div class="col-lg-6">
                    <!-- Section header -->
                    <header class="section-header mb-5 d-flex align-items-center justify-content-between">
                        <h2 class="section-title m-0">Aplicativo Água para o Futuro</h2>
                    </header>
                    <div class="introduction-text mb-4">
                        <span class="text-blue">O projeto busca a proteção das nascentes da área urbana de Cuiabá para garantir a segurança hídrica e o abastecimento de água potável para a presente e as futuras gerações</span>
                    </div>
                    <div class="text">
                        <span class="text-green mb-5">O projeto Água para o Futuro</span> é uma iniciativa do Ministério Público do Estado de Mato Grosso, executado em conjunto com o Instituto Ação Verde e a Universidade Federal de Mato Grosso...
                    </div>
                    <div class="d-flex flex-column flex-lg-row align-items-end justify-content-between">
                        <div class="download-app mt-4">
                            <span class="mb-3 d-block text-blue">Baixe nosso Aplicativo:</span>
                            <div class="shortcuts d-flex justify-content-between">
                                <a href="" title="Google Play" target="_blank" class="mr-1">
                                    <img src="assets/img/download-google.png" alt="Google Play" height="45">
                                </a>
                                <a href="" title="Apple Store" target="_blank">
                                    <img src="assets/img/download-apple.png" alt="Apple Store" height="45">
                                </a>
                            </div>
                        </div>
                        <a class="btn-section mt-4 mt-lg-0">Saiba Mais</a>
                    </div>
                </div>
                <div class="col-lg-6 d-none d-lg-block">
                    <img src="assets/img/app.jpg" alt="" class="image">
                </div>
            </div>
        </section>

        <!-- Inportancia -->
        <section class="section importance-section pt-4 pb-5">
            <div class="row">
                <?php
$importancia = $controllerInformacao->getByAttr(array('slug' => 'importancia-das-nascentes'));
if ($importancia):
?>
                <div class="col-lg-6 d-none d-lg-block">
                    <img src="storage/informacao/<?php echo $importancia->getImagem(); ?>" alt="" class="image">
                </div>
                <div class="col-lg-6">
                    <!-- Section header -->
                    <header class="section-header mb-5 d-flex align-items-center justify-content-between">
                        <h2 class="section-title m-0">Importância das Nascentes</h2>
                    </header>
                    <div class="introduction-text mb-4">
                        <span class="text-blue"><?php echo $helper->resumoTexto(100, strip_tags($importancia->getTexto())); ?>...</span>
                    </div>
                    <a class="btn-section float-right" href="nascentes/importancia-das-nascentes">Saiba Mais</a>
                </div>
            <?php endif;?>
            </div>
        </section>

        <!-- Noticias -->
        <section class="section news-section pt-4 pb-5 px-4">
            <!-- Section header -->
            <header class="section-header mb-5 d-flex align-items-center justify-content-between">
                <h2 class="section-title m-0">Notícias recentes</h2>
                <div class="news-slider-navs"></div>
            </header>
            <!-- Slider -->
            <div class="slider news-slider">
                <?php
                $noticias = $controllerNoticia->findBy(array('status' => 'ATIVO'), array('data'=>'DESC'), 6);
                foreach ($noticias as $k => $noticia) {?>
                <div class="slide news-slide py-3">
                    <a href="noticia/<?php echo $noticia->getSlug(); ?>" title="" class="news mx-3 d-block">
                        <h3 class="news-title text-blue mb-4"><?php echo $noticia->getTitulo(); ?></h3>
                        <p><?php echo $helper->resumoTexto(50, strip_tags($noticia->getTexto())); ?>...</p>
                        <span class="news-author"><?php echo utf8_encode(strftime('%A, %d de %B de %Y', $noticia->getData()->getTimestamp())); ?></span>
                    </a>
                </div>
                <?php }?>
            </div>
        </section>

    </div>
</div>

<?php require __DIR__ . '/footer.php';?>
<?php require __DIR__ . '/foot.php';?>




