<?php
require __DIR__ . '/head.php';
require __DIR__ . '/header.php';

extract($_GET, EXTR_SKIP);

if (!isset($slug) && empty($slug)) {
	header('Location: ' . getenv('URL'));
}

$item = $controllerNascente->findBy(array('slug' => $slug, 'status' => 'CONFIRMADA'));
if (!$item) {
	header('Location: ' . getenv('URL'));
}

$nascente = $item[0];

$slug = 'nascentes';

$imagem = null;
if (is_file(__DIR__ . '/storage/nascentes/' . $item[0]->getImagemPrincipal())) {
	$imagem = getenv('URL') . 'storage/nascentes/' . $item[0]->getImagemPrincipal();
} elseif (is_file(__DIR__ . '/storage/' . $item[0]->getImagemPrincipal())) {
	$imagem = getenv('URL') . 'storage/' . $item[0]->getImagemPrincipal();
}
$cidade = $nascente->getLocalizacao()->getCidade() ? $nascente->getLocalizacao()->getCidade()->getNome() : '';
$estado = $nascente->getLocalizacao()->getCidade() ? $nascente->getLocalizacao()->getCidade()->getEstado() : '';
$bairro = $nascente->getLocalizacao() ? $nascente->getLocalizacao()->getBairro() : '';


?>

<div class="page-header py-3">
    <h1 class="page-title m-0 p-2 text-center text-uppercase font-weight-bold">Localização e características gerais</h1>
</div>

<div class="page-content py-5">
    <div class="container">
        <div class="row">
            <article class="col-lg-9">
                <h1 class="fountain-title"><?php echo $item[0]->getTitulo(); ?></h1>
                <div class="fountain-info">
                    <div class="row mb-2">
                        <div class="col-7 mb-2 mb-lg-0 d-flex align-items-end bairro">
                            <span class="pl-1 pr-2">Localização:</span><?php echo $bairro; ?>, <?php echo $cidade; ?>, <?php echo $estado; ?>
                        </div>
                        <div class="col-5 mb-2 mb-lg-0 d-flex align-items-end corrego">
                            <span class="pl-1 pr-2">Córrego:</span> <?php echo $item[0]->getCorrego(); ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-7 mb-2 mb-lg-0 d-flex align-items-end coordenadas">
                            <span class="pl-1 pr-2">Coordenadas:</span><?php echo $controllerNascente->latlangToDMS($lat = $item[0]->getLocalizacao()->getLatitude(), $lng = $item[0]->getLocalizacao()->getLongitude()); ?>
                        </div>
                        <div class="col-5 mb-2 mb-lg-0 d-flex align-items-end sub-bacia">
                            <span class="pl-1 pr-2">Microbacia:</span> <?php echo $item[0]->getMicrobacia(); ?>
                        </div>
                    </div>
                </div>
                <hr>
                <div class="page-text text-justify">
                    <?php echo $item[0]->getDescricao(); ?>
                </div>
                <div class="clearfix"></div>
                <?php
                $video = '';
                if ($item[0]->getVideo()):
                	$teste = explode('vimeo', $item[0]->getVideo());
                	$video = explode('/', $item[0]->getVideo());
                	if (sizeof($teste) > 1) {
                		$video = 'https://player.vimeo.com/video/' . end($video);
                	} else {
                		$video = 'https://www.youtube.com/embed/' . end($video);
                	}
                	?>
        		<div style="padding:56.25% 0 0 0;position:relative; margin-top: 30px;">
        		    <iframe src="<?php echo $video; ?>" style="position:absolute;top:0;left:0;width:100%;height:100%;" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
        		</div>
        		<?php endif;
                if ($nascente->getMarco()):
                ?>
                <center><img style="max-width: 400px; margin-top: 30px;" src="<?php echo getenv('URL');?>storage/nascentes/<?php echo $nascente->getMarco();?>"></center>
                <?php endif;?>
                <script src="https://player.vimeo.com/api/player.js"></script>

                <div class="row" data-id="<?php echo $nascente->getId(); ?>" style="margin-top: 40px;">
                    <?php
                    // $nascenteImages = new ControllerNascenteImagem();
                    // $lista_imagens = $nascenteImages->selectImagens($nascente->getId());
                    $lista_imagens = $nascente->getImagens();
                    foreach ($lista_imagens as $image):
                        // if(is_file( getenv('URL').'storage/nascentes/'.$image->getNome() )):
                     ?>
                    <div class="col-3 mb-3">
                        <a href="<?php echo getenv('URL');?>storage/nascentes/<?php echo $image->getNome(); ?>" title="" data-fancybox="gallery" data-caption="">
                            <img src="<?php echo getenv('URL');?>storage/nascentes/mini/<?php echo $image->getNome(); ?>" alt="" width='100%' class="shadow-sm p-1 bg-white rounded">
                        </a>
                    </div>
                    <?php //endif; 
                endforeach;?>
                </div>
            </article>
            <?php require __DIR__ . '/sidebar-nascentes.php';?>
            
        </div>
    </div>
</div>

<script type="text/javascript">
    function initialize()
    {
        var infowindow = new google.maps.InfoWindow();

        var map = new google.maps.Map(document.getElementById('mapa_'), {
            center: new google.maps.LatLng(<?php echo $nascente->getLocalizacao()->getLatitude(); ?>, <?php echo $nascente->getLocalizacao()->getLongitude();?>),
            zoom: 14,
            scrollwheel: false
        });

        var marker = new google.maps.Marker({
            map: map,
            position: new google.maps.LatLng(<?php echo $nascente->getLocalizacao()->getLatitude(); ?>, <?php echo $nascente->getLocalizacao()->getLongitude();?>),
            icon: '<?php echo getenv('URL');?>assets/img/pin.png',
            title: '<?php echo $item[0]->getTitulo(); ?>',
        });

        infowindow.open(map, marker);
    }

    function loadScript()
    {
        document.getElementById('mapa_').style.width = '100%';
        document.getElementById('mapa_').style.height = '300px';
        document.getElementById('mapa_').style.marginTop = '30px';
        var script = document.createElement('script');
        script.type = 'text/javascript';
        script.src = 'https://maps.googleapis.com/maps/api/js?callback=initialize&key=<?php echo $google_api; ?>';
        document.body.appendChild(script);
    }

    window.onload = loadScript;
</script>

<?php require __DIR__ . '/footer.php';?>
<?php require __DIR__ . '/foot.php';?>

