<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-26 14:37:14
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-21 21:19:36
 */

setlocale(LC_ALL, 'pt_BR', 'pt_BR.utf-8');
date_default_timezone_set('America/Cuiaba');
mb_internal_encoding("UTF-8");

session_start();

if (version_compare(phpversion(), '7.0', '<') == true) {
	exit('PHP7+ Required');
}

require_once 'vendor/autoload.php';

$dotenv = Dotenv\Dotenv::create(__DIR__, 'configs/dev.env');
$dotenv->load();

ini_set('display_errors', getenv('DISPLAY_ERRORS'));

if (defined('STORAGE_DIR')) {

	$_SESSION['KCFINDER'] = array(
		'disabled' => false,
		'uploadURL' => STORAGE_DIR . 'uploads/',
		'filenameChangeChars' => array(
			' ' => "_",
			':' => ".",
		),
	);

}

$sistema = new ControllerSistema();
$sistema = $sistema->getByAttr();
$google_api_map = $sistema->getGoogleApiMap();
$latitude_padrao = $sistema->getLatitude();
$longitude_padrao = $sistema->getLongitude();
