<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:12
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-03-13 08:42:55
 */

namespace Framework;

use PHPMailer\PHPMailer\PHPMailer;

class Mail {
	private $mail = null;

	public function __construct($host = 'smtp1.example.com;smtp2.example.com',
		$user = 'user@example.com', $pass = 'secret',
		$secure = 'tls', $port = 587) {
		$this->mail = new PHPMailer();
		$this->mail->setLanguage('br');
		$this->mail->CharSet = 'UTF-8';

		$this->mail->SMTPDebug = 0;
		// $this->mail->Debugoutput = 'html';

		$this->mail->isSMTP();

		$this->mail->SMTPAutoTLS = false;
		$this->mail->Host = $host; // Specify main and backup SMTP servers
		$this->mail->SMTPAuth = true; // Enable SMTP authentication
		$this->mail->Username = $user; // SMTP username
		$this->mail->Password = $pass; // SMTP password
		$this->mail->SMTPSecure = $secure; // Enable TLS encryption, `ssl` also accepted
		$this->mail->Port = $port; // TCP port to connect to
		$this->mail->isHTML(true); // Set email format to HTML
	}

	public function addAddress($email, $nome = '') {
		$this->mail->addAddress($email, $nome); // Add a recipient
	}

	public function addReplyTo($email, $nome = '') {
		$this->mail->addReplyTo($email, $nome); // Add a recipient
	}

	public function addCC($email) {
		$this->mail->addCC($email); // Add a recipient
	}

	public function addBCC($email) {
		$this->mail->addBCC($email); // Add a recipient
	}

	public function addAttachment($arquivo, $nome = '') {
		$this->mail->addAttachment($arquivo, $nome); // Add a recipient
	}

	public function AddStringAttachement($resource, $filename, $base, $mime_type) {
		$this->mail->addStringAttachment($resource, $filename, $base, $mime_type); // Add a recipient
	}

	public function send($to, $to_name, $from, $from_name = '', $subject, $body = '', $altbody = '') {
		$this->mail->From = $from;
		$this->mail->FromName = $from_name;

		// $this->mail->addReplyTo($from, $from_name);

		$this->addAddress($to, $to_name);

		$this->mail->Subject = $subject;
		$this->mail->Body = $body;
		$this->mail->AltBody = $altbody;

		$result = $this->mail->send();
		$this->mail->ClearAllRecipients();
		if (!$result) {
			throw new \Exception("Erro ao enviar email. Error: " . $this->mail->ErrorInfo, 1);
		} else {
			return $this->mail->getLastMessageID();
		}
	}
}
