<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:12
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-21 23:13:29
 */

namespace Framework;

class Pagination {

	private $total = 0;
	private $limit = 6;
	private $begin = 0;
	private $currentPage;
	private $previous;
	private $links;
	private $noRecord = 'Nenhum registro encontrado';
	private $scriptName;
	private $currentPageIndex = 0;
	private $varLabel = 'pagina';
	private $displayLimit = 5;

	public function __construct($limit = 6, $url) {
		//$this->begin = isset($_GET[$this->varLabel]) ? (int) $_GET[$this->varLabel] : 0;
		$this->limit = (int) $limit;
		$pagina = isset($_GET[$this->varLabel]) ? ((int) $_GET[$this->varLabel]) : 0;

		$this->begin = (($pagina == 1) or ($pagina == 0)) ? 0 : ((int) $_GET[$this->varLabel] - 1) * $this->limit;
		$this->previous = $this->begin;

		//$this->scriptName = end(explode('/', $_SERVER['PHP_SELF']));
		$this->scriptName = $url;
	}

	public function setNumRows($total) {
		$this->total = $total;
	}

	public function getNumRows() {
		return $this->total;
	}

	public function getCurrentPage() {
		return $this->currentPageIndex;
	}

	public function setNoRecordLegend($legend) {
		$this->noRecord = $legend;
	}

	public function getMin() {
		return $this->begin;
	}

	public function getMax() {
		return $this->limit;
	}

	public function getSqlLimit() {
		return array($this->begin, $this->limit);
	}

	public function getInformation() {
		$start_records = $this->begin;
		$end_records = $start_records + $this->limit;
		$end_records = $end_records > $this->total ? $this->total : $end_records;

		return $this->total > 0 ? 'Exibindo registros ' . ($start_records + 1) . ' - ' . $end_records . ' de ' . $this->total : null;
	}

	public function addUrlVar($name, $value) {
		$this->links .= $value;
	}

	//exibe a pagina��o
	public function Paginate() {

		$html = null;
		$cont = 1;
		if ($this->total == 0) {
			$html = '<span>' . $this->noRecord . '</span>';
		} else {

			//busca padr�o
			if (isset($_GET['s'])) {
				if (!empty($_GET['s'])) {
					$this->addUrlVar('s', urlencode($_GET['s']));
				}

			}

			//pagina atual  ((0 + 16) / 16) = 1 , ((10 + 16) / 16) = 2 ...
			$this->currentPage = floor(($this->begin + $this->limit) / $this->limit);

			$imagem_prev = 'Anterior';
			$imagem_next = 'Próximo';

			//anterior e primeira
			if ($this->begin > 0) {
				$html .= '<li class="page-item"><a href="' . $this->scriptName . $this->varLabel . '/' . ($this->currentPage - 1) . '/' . $this->links . '" class="page-link" title="P&aacute;gina anterior"><span>' . $imagem_prev . '</span></a></li>';
			}

			//inicio (0 - (5 * 16)) = -80 , (128 - (5 * 16)) = 48 ...
			$this->begin = floor($this->begin - ($this->displayLimit * $this->limit));

			//paginacao
			$bottomLimit = ($this->currentPage - $this->displayLimit);
			$topLimit = ($this->currentPage + $this->displayLimit);

			for ($i = $bottomLimit; $i <= $topLimit; $i++) {
				if (($this->begin < $this->total) && ($i > 0)) {
					$i_teste = ($i < 10) ? '0' . $i : $i;
					if ($this->currentPage == $i) {
						$this->currentPageIndex = $i;
						$html .= '<li class="page-item active"><a class="page-link" title="P&aacute;gina atual" >' . $i_teste . '</a></li>';
					} else {
						$html .= '<li class="page-item"><a class="page-link" href="' . $this->scriptName . $this->varLabel . '/' . $i . '/' . $this->links . '" title="Ir a p&aacute;gina ' . $i . '">' . $i_teste . '</a></li>';
					}
				}
				$this->begin = $this->begin + $this->limit;
				$cont++;
			}

			//proxima e ultima
			if ($this->total > ($this->previous + $this->limit)) {

				$html .= '<li class="page-item"><a href="' . $this->scriptName . $this->varLabel . '/' . ($this->currentPage + 1) . '/' . $this->links . '" class="page-link" title="Pr&oacute;xima p&aacute;gina">' . $imagem_next . '></a></li>';
			}
		}
		$cont = ($this->currentPage);
		return $html;
	}
}
