<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:12
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2018-04-02 21:52:04
 */

namespace Framework;

class SessionManager
{

    public $redirect = '../../index.php';
    private $restrict = '../../restrict.php';

    private $site = '';

    public function __construct($site = '')
    {

        if (!isset($_SESSION['system_key']) && empty($site)) {
            // session_start();
        }

        $this->site = $site;
    }

    public function start()
    {
        $_SESSION['system_key'] = 'b3939bcfe1841261d8c33449ce28fc03';
    }

    public function register($vars)
    {
        foreach ($vars as $label => $value) {
            $_SESSION[$label] = $value;
        }
    }

    public function check($location = false)
    {
        if (!isset($_SESSION['system_key'])) {
            $this->redirect();
        }

        if (!$location) {
            return true;
        }

        if (!isset($_SESSION['user_permissions'][$location])) {
            $this->redirect = $this->restrict;
            $this->redirect();
        }
    }

    private function redirect()
    {
        header('Location:' . $this->redirect);
        exit;
    }

    public function destroy()
    {
        session_unset();
        session_destroy();
        $this->redirect();
    }

    public function setRedirect($redirect)
    {
        $this->redirect = $redirect;
    }

    public function get($label)
    {
        return isset($_SESSION[$label])
        ? $_SESSION[$label]
        : 'erro ao recuperar sess?: vari?el (' . $label . ') n? registrada';
    }

}
