<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-26 13:23:25
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-27 19:08:05
 */

class ControllerLocalizacao extends \Framework\Banco {

	private $controllerCidade = null;

	public function __construct() {
		parent::__construct('Localizacao');
		$this->controllerCidade = new ControllerCidade();

	}

	public function popularLocalizacao($post, $obj = false) {
		try {

			$localizacao = $obj ? $obj : new Localizacao();

			$localizacao->setTipo(isset($post['localizacao_tipo']) ? $post['localizacao_tipo'] : 'AUTOMATICA');
			$localizacao->setLatitude(isset($post['latitude']) ? $post['latitude'] : '');
			$localizacao->setLongitude(isset($post['longitude']) ? $post['longitude'] : '');
			$localizacao->setCep(isset($post['cep']) ? $post['cep'] : '');
			$localizacao->setLogradouro(isset($post['logradouro']) ? $post['logradouro'] : '');
			$localizacao->setNumero(isset($post['numero']) ? $post['numero'] : '');
			$localizacao->setBairro(isset($post['bairro']) ? $post['bairro'] : '');
			$localizacao->setComplemento(isset($post['complemento']) ? $post['complemento'] : '');

			if (!empty($post['cidade']) || !empty($post['cidade_id'])) {
				$filtro = isset($post['cidade'])
				? array('nome' => $post['cidade'])
				: array('id' => $post['cidade_id']);
				$cidade = $this->controllerCidade->getByAttr($filtro);
				if (!$cidade) {
					$cidade = new Cidade();
					$cidade->setStatus('INATIVO');
					$cidade->setNome($post['cidade']);
					$cidade->setEstado($post['estado']);
				}

				$localizacao->setCidade($cidade);
			}

			return $localizacao;

		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

}
