<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-26 13:22:48
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-21 23:33:27
 */

class ControllerGaleria extends \Framework\Banco {

	private $controllerGaleriaImagem = null;
	private $path;

	public function __construct($path = null) {
		parent::__construct('Galeria');
		$this->path = $path;

		if (!is_dir($this->path) && !is_null($this->path)) {
			mkdir($this->path, 0777);
			mkdir($this->path . "/mini/", 0777);
		}
	}

	public function getPath() {
		return $this->path;
	}

	public function insert($post, $files = null) {

		try {
			$obj = new Galeria();
			$obj->setTitulo($post['titulo']);
			$obj->setTexto($post['texto']);
			$obj->setStatus($post['status']);

			$data = explode('/', $post['data']);
			$obj->setData(new DateTime($data[2] . '-' . $data[1] . '-' . $data[0]));

			$obj->setSlug(parent::criarSlug('titulo', $post['titulo']));

			$pasta = uniqid(time());
			mkdir($this->path . $pasta, 0777);
			mkdir($this->path . $pasta . "/mini/", 0777);
			$obj->setPasta($pasta);

			$imagem = $this->uploadImagem($files['imagem']);
			if ($imagem) {
				$obj->setImagem($imagem);
			}

			parent::merge($obj);
			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function update($post, $files, $obj) {

		try {

			$obj->setTitulo($post['titulo']);
			$obj->setTexto($post['texto']);
			$obj->setStatus($post['status']);
			$obj->setSlug(parent::criarSlug('titulo', $post['titulo'], $obj->getSlug(), $obj->getId()));

			$data = explode('/', $post['data']);
			$obj->setData(new DateTime($data[2] . '-' . $data[1] . '-' . $data[0]));

			if (isset($post['remover_imagem']) && $post['remover_imagem'] == 'S') {
				$obj->setImagem(null);
			} else {

				$imagem = $this->uploadImagem($files['imagem']);
				if ($imagem) {
					$obj->setImagem($imagem);
				}
			}

			parent::merge($obj);
			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	private function uploadImagem($files) {

		try {
			if (isset($files['tmp_name']) && !empty($files['tmp_name'])) {
				$arquivo = uniqid(time()) . '.' . pathinfo($files['name'], PATHINFO_EXTENSION);

				$this->saveToFile($files, $arquivo);

				return $arquivo;
			}

			return null;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	private function saveToFile($file, $nome) {
		try {
			\WideImage\WideImage::load($file['tmp_name'])
				->resize(1280, 800, 'inside')
				->saveToFile($this->path . $nome);

			\WideImage\WideImage::load($file['tmp_name'])
				->resize(360, 260, 'outside')
				->crop('center', 'center', 360, 260)
				->saveToFile($this->path . 'm_' . $nome);

		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}
}
