<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-26 13:22:34
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-12 20:10:38
 */

class ControllerGaleriaImagem extends \Framework\Banco
{

    private $controllerGaleria = null;

    public function __construct($controllerGaleria)
    {
        parent::__construct('GaleriaImagem');
        $this->controllerGaleria = $controllerGaleria;
    }

    private function saveToFile($file, $nome, $id)
    {
        try {
            $galeria = $this->controllerGaleria->getById($id);

            \WideImage\WideImage::load($file['tmp_name'])
                ->resize(1280, 800, 'inside')
                ->saveToFile($this->controllerGaleria->getPath() . "{$galeria->getPasta()}/{$nome}");

            \WideImage\WideImage::load($file['tmp_name'])
                ->resize(360, 260, 'outside')
                ->crop('center', 'center', 360, 260)
                ->saveToFile($this->controllerGaleria->getPath() . "{$galeria->getPasta()}/mini/{$nome}");

        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }
    }

    public function addImagem($file, $id)
    {

        try {

            if (is_array($file['tmp_name'])) {
                $file['tmp_name'] = $file['tmp_name'][0];
                $file['name'] = $file['name'][0];
                $file['size'] = $file['size'][0];
            }

            $nome = uniqid(time());
            $ext = (explode(".", $file['name']));
            $ext = end($ext);
            $nome = $nome . '.' . $ext;

            $this->saveToFile($file, $nome, $id);

            $galeria = $this->controllerGaleria->getById($id);

            $imagem = new GaleriaImagem();
            $imagem->setPeso($file['size']);
            $imagem->setNome($nome);
            $imagem->setExtensao($ext);
            $imagem->setGaleriaId($galeria);

            parent::merge($imagem);
            return $imagem;
        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }
    }

    public function deleteImagem($imagem_id)
    {
        try {
            $imagem = parent::getById($imagem_id);

            parent::delete($imagem);

        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }
    }

    public function selectImagens($id)
    {

        try {
            $query = $this->entityManager->createQuery("SELECT m FROM GaleriaImagem m  WHERE m.galeria_id = ?1");
            $query->setParameter(1, $id);
            $lista = $query->getResult();

            return $lista;
        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }
    }

}
