<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:50:37
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-02-26 16:32:05
 */

/**
 *
 * @Entity
 * @Table(name="galeria")
 */
use Doctrine\Common\Collections\ArrayCollection;

class Galeria
{
    /**
     * @Id
     * @GeneratedValue(strategy="AUTO")
     * @Column(type="integer", name="galeria_id", nullable=false)
     */
    protected $id;

    /**
     * @Column(type="string", name="galeria_titulo")
     */
    protected $titulo;

    /**
     * @Column(type="string", name="galeria_status")
     */
    protected $status;

    /**
     * @Column(type="string", name="galeria_slug")
     */
    protected $slug;

    /**
     * @Column(type="string", name="galeria_texto")
     */
    protected $texto;

    /**
     * @Column(type="string", name="galeria_imagem")
     */
    protected $imagem;

    /**
     * @Column(type="date", name="galeria_data")
     */
    protected $data;

    /**
     * @Column(type="string", name="galeria_pasta")
     */
    protected $pasta;

    /**
     * @OneToMany(targetEntity="GaleriaImagem", mappedBy="galeria_id")
     */
    private $imagens;

    public function __construct()
    {
        $this->imagens = new ArrayCollection();
    }

    public function getImagens()
    {
        return $this->imagens;
    }

    public function getId()
    {
        return $this->id;
    }

    public function getTitulo()
    {
        return $this->titulo;
    }

    public function setTitulo($titulo)
    {
        $this->titulo = $titulo;

        return $this;
    }

    public function getStatus()
    {
        return $this->status;
    }

    public function setStatus($status)
    {
        $this->status = $status;

        return $this;
    }

    public function getTexto()
    {
        return $this->texto;
    }

    public function setTexto($texto)
    {
        $this->texto = $texto;

        return $this;
    }

    public function getImagem()
    {
        return $this->imagem;
    }

    public function setImagem($imagem)
    {
        $this->imagem = $imagem;

        return $this;
    }

    public function getSlug()
    {
        return $this->slug;
    }

    public function setSlug($slug)
    {
        $this->slug = $slug;

        return $this;
    }

    public function getPasta()
    {
        return $this->pasta;
    }

    public function setPasta($pasta)
    {
        $this->pasta = $pasta;

        return $this;
    }

    public function getData()
    {
        return $this->data;
    }

    public function setData($data)
    {
        $this->data = $data;

        return $this;
    }
}
