<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-26 13:23:25
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-18 11:23:23
 */

class ControllerInstitucional extends \Framework\Banco {

	private $path;

	public function __construct($path = null) {
		parent::__construct('Institucional');
		$this->path = $path;

		if (!is_dir($this->path) && !is_null($this->path)) {
			mkdir($this->path, 0777);
			mkdir($this->path . "/mini/", 0777);
		}
	}

	public function insert($post, $files) {

		try {
			$obj = new Institucional();
			$obj->setTitulo(($post['titulo']));
			$obj->setSlug(parent::criarSlug('titulo', $post['titulo']));
			$obj->setStatus($post['status']);
			$obj->setTexto($post['texto']);

			$imagem = $this->uploadImagem($files['imagem']);
			if ($imagem) {
				$obj->setImagem($imagem);
			}

			parent::merge($obj);
			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}

		return $obj;
	}

	public function update($post, $files, $obj) {

		try {
			$obj->setTitulo(($post['titulo']));
			$obj->setStatus($post['status']);
			$obj->setTexto($post['texto']);
			$obj->setSlug(parent::criarSlug('titulo', $post['titulo'], $obj->getSlug(), $obj->getId()));

			if (isset($post['remover_imagem']) && $post['remover_imagem'] == 'S') {
				$obj->setImagem(null);
			} else {

				$imagem = $this->uploadImagem($files['imagem']);
				if ($imagem) {
					$obj->setImagem($imagem);
				}
			}

			parent::merge($obj);
			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	private function uploadFile($arquivo) {

		try {

			$filename = uniqid(time()) . '.' . pathinfo($arquivo['name'], PATHINFO_EXTENSION);

			$target_path = $this->path . $filename;
			if (move_uploaded_file($arquivo["tmp_name"], $target_path)) {
				return $filename;
			} else {
				return false;
			}
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	private function uploadImagem($file) {

		try {
			if (isset($file['tmp_name']) && !empty($file['tmp_name'])) {
				$arquivo = uniqid(time()) . '.' . pathinfo($file['name'], PATHINFO_EXTENSION);

				$this->saveToFile($file, $arquivo);

				return $arquivo;
			}

			return null;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	private function saveToFile($file, $nome) {
		try {
			\WideImage\WideImage::load($file['tmp_name'])
				->resize(1280, 800, 'inside')
				->saveToFile($this->path . $nome);

			\WideImage\WideImage::load($file['tmp_name'])
				->resize(360, 260, 'outside')
				->crop('center', 'center', 360, 260)
				->saveToFile($this->path . 'mini/' . $nome);
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

}
