<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-15 00:55:35
 */

/**
 *
 * @Entity
 * @Table(name="monitoramento")
 */

class Monitoramento {
	/**
	 * @Id
	 * @GeneratedValue(strategy="AUTO")
	 * @Column(type="integer", name="monitoramento_id", nullable=false)
	 */
	protected $id;

	/**
	 * @Column(type="string", name="anonimo")
	 */
	protected $anonimo;

	/**
	 * @Column(type="datetime", name="data_cadastro")
	 */
	protected $data_cadastro;

	/**
	 * @ManyToOne(targetEntity="MonitoramentoAssunto", cascade={"merge"})
	 * @JoinColumn(name="monitoramento_assunto_id", referencedColumnName="id")
	 */
	protected $assunto;

	/**
	 * @ManyToOne(targetEntity="UsuarioApp", cascade={"merge"})
	 * @JoinColumn(name="usuario_app_id", referencedColumnName="id")
	 */
	protected $usuario;

	/**
	 * @ManyToOne(targetEntity="Localizacao", cascade={"merge"})
	 * @JoinColumn(name="localizacao_id", referencedColumnName="id")
	 */
	protected $localizacao;

	/**
	 * @Column(type="string", name="imagem")
	 */
	protected $imagem;

	/**
	 * @Column(type="string", name="mensagem")
	 */
	protected $mensagem;

	public function getId() {
		return $this->id;
	}

	/**
	 * @return mixed
	 */
	public function getAnonimo() {
		return $this->anonimo;
	}

	/**
	 * @param mixed $anonimo
	 *
	 * @return self
	 */
	public function setAnonimo($anonimo) {
		$this->anonimo = $anonimo;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getDataCadastro() {
		return $this->data_cadastro;
	}

	/**
	 * @param mixed $data_cadastro
	 *
	 * @return self
	 */
	public function setDataCadastro($data_cadastro) {
		$this->data_cadastro = $data_cadastro;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getAssunto() {
		return $this->assunto;
	}

	/**
	 * @param mixed $assunto
	 *
	 * @return self
	 */
	public function setAssunto($assunto) {
		$this->assunto = $assunto;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getUsuario() {
		return $this->usuario;
	}

	/**
	 * @param mixed $usuario
	 *
	 * @return self
	 */
	public function setUsuario($usuario) {
		$this->usuario = $usuario;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getLocalizacao() {
		return $this->localizacao;
	}

	/**
	 * @param mixed $localizacao
	 *
	 * @return self
	 */
	public function setLocalizacao($localizacao) {
		$this->localizacao = $localizacao;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getImagem() {
		return $this->imagem;
	}

	/**
	 * @param mixed $imagem
	 *
	 * @return self
	 */
	public function setImagem($imagem) {
		$this->imagem = $imagem;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getMensagem() {
		return $this->mensagem;
	}

	/**
	 * @param mixed $mensagem
	 *
	 * @return self
	 */
	public function setMensagem($mensagem) {
		$this->mensagem = $mensagem;

		return $this;
	}
}
