<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-01-22 11:05:07
 */

ob_start();

require 'config.php';

$form_fields = array('usuario_app', 'assunto', 'municipio', 'mensagem', 'imagem', 'anonimo', 'usuario_nome', 'usuario_email', 'usuario_telefone', 'localizacao_tipo', 'lat', 'lng', 'manual_lat', 'manual_lng', 'endereco_cep', 'endereco_logradouro', 'endereco_numero', 'endereco_bairro', 'data_cadastro');

$vld->initializeAll($form_fields);

if ($vld->send('monitoramento_add')) {
	try {
		$vld->validate();

		$obj = $controllerMonitoramento->insert($_POST);

		$vld->clear();

		$tpl->message('form_add', 'Item cadastrado');

	} catch (Exception $e) {
		$tpl->error('form_add', $e->getMessage());
	}
}

$assuntos = $controllerMonitoramentoAssunto->findBy(array('status' => 'ATIVO'), array('titulo' => 'ASC'));
foreach ($assuntos as $key => $assunto) {
	$tpl->assignSelect('assuntos', $assunto->getId(), $assunto->getTitulo(), NULL);
}

$municipios = $controllerMunicipio->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
foreach ($municipios as $key => $municipio) {
	$tpl->assignSelect('municipios', $municipio->getId(), $municipio->getNome(), NULL);
}

$usuarios = $controllerUsuarioApp->findBy(array(), array('nome' => 'ASC'));
foreach ($usuarios as $key => $usuario) {
	$tpl->assignSelect('usuarios', $usuario->getId(), $usuario->getNome(), NULL);
}

$tpl->assignFormVars($form_fields);

$tpl->show();
