<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-26 13:22:34
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-01-21 23:07:11
 */

class ControllerNascenteImagem extends \Framework\Banco {

	private $controllerNascente = null;

	public function __construct($controllerNascente) {
		parent::__construct('Imagem');
		$this->controllerNascente = $controllerNascente;
	}

	private function saveToFile($file, $nome, $id, $path) {
		try {
			$galeria = $this->controllerNascente->getById($id);

			\WideImage\WideImage::load($file['tmp_name'])
				->resize(1280, 800, 'inside')
				->saveToFile($path . "{$nome}");

			\WideImage\WideImage::load($file['tmp_name'])
				->resize(360, 260, 'outside')
				->crop('center', 'center', 360, 260)
				->saveToFile($path . "mini/{$nome}");

		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function addImagem($file, $id, $path) {

		try {

			if (is_array($file['tmp_name'])) {
				$file['tmp_name'] = $file['tmp_name'][0];
				$file['name'] = $file['name'][0];
				$file['size'] = $file['size'][0];
			}

			$nome = uniqid(time()) . '.' . pathinfo($file['name'], PATHINFO_EXTENSION);

			$this->saveToFile($file, $nome, $id, $path);

			$galeria = $this->controllerNascente->getById($id);

			$imagem = new Imagem();
			$imagem->setPeso($file['size']);
			$imagem->setNome($nome);
			$imagem->setExtensao(pathinfo($file['name'], PATHINFO_EXTENSION));
			$imagem->setNascente($galeria);

			parent::merge($imagem);
			return $imagem;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function deleteImagem($imagem_id) {
		try {
			$imagem = parent::getById($imagem_id);

			parent::delete($imagem);

		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function selectImagens($id) {

		try {
			$query = $this->entityManager->createQuery("SELECT m FROM Imagem m  WHERE m.nascente = ?1 ORDER BY m.nome ASC");
			$query->setParameter(1, $id);
			$lista = $query->getResult();

			return $lista;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

}
