<?php

class ControllerTipoNascente extends \Framework\Banco {

	public function __construct() {
		parent::__construct('TipoNascente');
	}

	public function insert($post) {

		try {
			$obj = new TipoNascente();
			$obj->setStatus($post['status']);
			$obj->setNome($post['nome']);
			$obj->setSlug($this->criarSlugAlternatica('nome', $post['nome']));

			$obj = parent::persist($obj);

			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function update($post, $obj) {

		try {

			$obj->setStatus($post['status']);
			$obj->setNome($post['nome']);
			$obj->setSlug($this->criarSlugAlternatica('nome', $post['nome'], $obj->getSlug(), $obj->getId()));

			parent::merge($obj);

			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

}
