<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-20 09:06:58
 */

ob_start();

require_once 'config.php';

if (isset($_POST['action'])) {
	$tpl->message('action',
		($controllerNascente->changeStatus((int) $_POST['id'], $_POST['action'])));
}
$filtro = array();
if (isset($_POST['fonte']) && !empty($_POST['fonte'])) {
	$filtro['fonte'] = $_POST['fonte'];
}
if (isset($_POST['reparo']) && !empty($_POST['reparo'])) {
	$filtro['reparo'] = $_POST['reparo'];
}
if (isset($_POST['situacao_nascente']) && !empty($_POST['situacao_nascente'])) {
	$filtro['situacao'] = $_POST['situacao_nascente'];
}
if (isset($_POST['tipo_nascente']) && !empty($_POST['tipo_nascente'])) {
	$filtro['tipo'] = $_POST['tipo_nascente'];
}
if (isset($_POST['icone']) && !empty($_POST['icone'])) {
	$filtro['icone'] = $_POST['icone'];
}
if (isset($_POST['status']) && !empty($_POST['status'])) {
	$filtro['status'] = $_POST['status'];
}

$lista = $controllerNascente->findBy($filtro, array('id' => 'DESC'));
$status = $controllerNascente->getStatus();

$nascentes = array();
foreach ($lista as $key => $line) {
	if ($line->getStatus() != 'EXCLUIDO') {

		if ($line->getLocalizacao()->getLatitude() && $line->getLocalizacao()->getLatitude()) {
			$endereco = [
				$line->getLocalizacao()->getLogradouro(),
				$line->getLocalizacao()->getNumero(),
				$line->getLocalizacao()->getBairro(),
				$line->getLocalizacao()->getCidade() ? $line->getLocalizacao()->getCidade()->getNome() : null,
				$line->getLocalizacao()->getCidade() ? $line->getLocalizacao()->getCidade()->getEstado() : null,
				$line->getLocalizacao()->getCep()];

			$nascentes[] = array(
				'icone' => $line->getIcone() ? str_replace('#', '', $line->getIcone()->getCor()) : 'ffffff',
				'latitude' => $line->getLocalizacao()->getLatitude(),
				'longitude' => $line->getLocalizacao()->getLongitude(),
				'titulo' => $line->getTitulo(),
				'endereco' => implode(', ', $endereco),
				'corrego' => $line->getCorrego(),
				'microbacia' => $line->getMicrobacia(),
				'situacao' => $line->getSituacao() ? $line->getSituacao()->getNome() : '',
				'tipo' => $line->getTipo() ? $line->getTipo()->getNome() : '',
				'reparo' => $line->getReparo() ? $line->getReparo()->getNome() : '',
				'fonte' => $line->getFonte() ? $line->getFonte()->getNome() : '',
				'data' => $line->getDataCadastro()->format('d/m/Y H:i'),
				'status' => $status[$line->getStatus()],
				'origem' => $line->getOrigem() == 'SISTEMA' ? 'Sistema' : 'Usuário',
			);
		}
	}
}

$tpl->assignSelect('status', null, 'Todos', null);
foreach ($controllerNascente->getStatus() as $key => $item) {
	if ($key != 'EXCLUIDO') {
		$tpl->assignSelect('status', $key, $item, isset($_POST['status']) ? $_POST['status'] : null);
	}
}

$lista = $controllerFonte->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('fonte', null, 'Todos', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('fonte', $item->getId(), $item->getNome(), isset($_POST['fonte']) ? (int) $_POST['fonte'] : null);
}

$lista = $controllerReparo->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('reparo', null, 'Todos', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('reparo', $item->getId(), $item->getNome(), isset($_POST['reparo']) ? (int) $_POST['reparo'] : null);
}

$lista = $controllerSituacaoNascente->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('situacao_nascente', null, 'Todos', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('situacao_nascente', $item->getId(), $item->getNome(), isset($_POST['situacao_nascente']) ? (int) $_POST['situacao_nascente'] : null);
}

$lista = $controllerTipoNascente->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('tipo_nascente', null, 'Todos', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('tipo_nascente', $item->getId(), $item->getNome(), isset($_POST['tipo_nascente']) ? (int) $_POST['tipo_nascente'] : null);
}

$lista = $controllerIcone->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('icone', null, 'Todos', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('icone', $item->getId(), $item->getNome(), isset($_POST['icone']) ? (int) $_POST['icone'] : null);
}

$tpl->assign('NASCENTES', json_encode($nascentes, true));

$tpl->show();
