<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-05-07 14:47:27
 */

/**
 *
 * @Entity
 * @Table(name="nascente")
 */
use Doctrine\Common\Collections\ArrayCollection;

class Nascente {
	/**
	 * @Id
	 * @GeneratedValue(strategy="AUTO")
	 * @Column(type="integer", name="nascente_id", nullable=false)
	 */
	protected $id;

	/**
	 * @ManyToOne(targetEntity="UsuarioApp", cascade={"merge"})
	 * @JoinColumn(name="usuario_app_id", referencedColumnName="id")
	 */
	protected $usuario;

	/**
	 * @ManyToOne(targetEntity="Localizacao", cascade={"merge"})
	 * @JoinColumn(name="localizacao_id", referencedColumnName="id")
	 */
	protected $localizacao;

	/**
	 * @ManyToOne(targetEntity="TipoNascente", cascade={"merge"})
	 * @JoinColumn(name="tipo_nascente_id", referencedColumnName="id")
	 */
	protected $tipo;

	/**
	 * @ManyToOne(targetEntity="SituacaoNascente", cascade={"merge"})
	 * @JoinColumn(name="situacao_nascente_id", referencedColumnName="id")
	 */
	protected $situacao;

	/**
	 * @ManyToOne(targetEntity="Reparo", cascade={"merge"})
	 * @JoinColumn(name="reparo_id", referencedColumnName="id")
	 */
	protected $reparo;

	/**
	 * @ManyToOne(targetEntity="Fonte", cascade={"merge"})
	 * @JoinColumn(name="fonte_id", referencedColumnName="id")
	 */
	protected $fonte;

	/**
	 * @ManyToOne(targetEntity="Icone", cascade={"merge"})
	 * @JoinColumn(name="icone_id", referencedColumnName="id")
	 */
	protected $icone;

	/**
	 * @Column(type="string", name="status")
	 */
	protected $status;

	/**
	 * @Column(type="string", name="origem")
	 */
	protected $origem;

	/**
	 * @Column(type="integer", name="numero")
	 */
	protected $numero;

	/**
	 * @Column(type="string", name="titulo")
	 */
	protected $titulo;

	/**
	 * @Column(type="string", name="slug")
	 */
	protected $slug;

	/**
	 * @Column(type="string", name="anonimo")
	 */
	protected $anonimo;

	/**
	 * @Column(type="string", name="observacao")
	 */
	protected $observacao;

	/**
	 * @Column(type="string", name="descricao")
	 */
	protected $descricao;

	/**
	 * @Column(type="string", name="corrego")
	 */
	protected $corrego;

	/**
	 * @Column(type="string", name="microbacia")
	 */
	protected $microbacia;

	/**
	 * @Column(type="string", name="vegetacao")
	 */
	protected $vegetacao;

	/**
	 * @Column(type="string", name="fauna")
	 */
	protected $fauna;

	/**
	 * @Column(type="string", name="analise_agua")
	 */
	protected $analise_agua;

	/**
	 * @Column(type="datetime", name="data_cadastro")
	 */
	protected $data_cadastro;

	/**
	 * @Column(type="string", name="vazao")
	 */
	protected $vazao;

	/**
	 * @Column(type="string", name="video")
	 */
	protected $video;

	/**
	 * @Column(type="string", name="marco")
	 */
	protected $marco;

	/**
	 * @Column(type="datetime", name="data_atualizacao")
	 */
	protected $data_atualizacao;

	/**
	 * @Column(type="string", name="imagem_principal")
	 */
	protected $imagem_principal;

	/**
	 * @Column(type="string", name="imagem_usuario")
	 */
	protected $imagem_usuario;

	/**
	 * @OneToMany(targetEntity="Imagem", mappedBy="nascente")
	 */
	private $imagens;

	public function __construct() {
		$this->imagens = new ArrayCollection();
	}

	public function getId() {
		return $this->id;
	}

	/**
	 * @return mixed
	 */
	public function getUsuario() {
		return $this->usuario;
	}

	/**
	 * @param mixed $usuario
	 *
	 * @return self
	 */
	public function setUsuario($usuario) {
		$this->usuario = $usuario;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getLocalizacao() {
		return $this->localizacao;
	}

	/**
	 * @param mixed $localizacao
	 *
	 * @return self
	 */
	public function setLocalizacao($localizacao) {
		$this->localizacao = $localizacao;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getTipo() {
		return $this->tipo;
	}

	/**
	 * @param mixed $tipo
	 *
	 * @return self
	 */
	public function setTipo($tipo) {
		$this->tipo = $tipo;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getSituacao() {
		return $this->situacao;
	}

	/**
	 * @param mixed $situacao
	 *
	 * @return self
	 */
	public function setSituacao($situacao) {
		$this->situacao = $situacao;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getReparo() {
		return $this->reparo;
	}

	/**
	 * @param mixed $reparo
	 *
	 * @return self
	 */
	public function setReparo($reparo) {
		$this->reparo = $reparo;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getFonte() {
		return $this->fonte;
	}

	/**
	 * @param mixed $fonte
	 *
	 * @return self
	 */
	public function setFonte($fonte) {
		$this->fonte = $fonte;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getStatus() {
		return $this->status;
	}

	/**
	 * @param mixed $status
	 *
	 * @return self
	 */
	public function setStatus($status) {
		$this->status = $status;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getOrigem() {
		return $this->origem;
	}

	/**
	 * @param mixed $origem
	 *
	 * @return self
	 */
	public function setOrigem($origem) {
		$this->origem = $origem;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getNumero() {
		return $this->numero;
	}

	/**
	 * @param mixed $numero
	 *
	 * @return self
	 */
	public function setNumero($numero) {
		$this->numero = $numero;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getTitulo() {
		return $this->titulo;
	}

	/**
	 * @param mixed $titulo
	 *
	 * @return self
	 */
	public function setTitulo($titulo) {
		$this->titulo = $titulo;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getSlug() {
		return $this->slug;
	}

	/**
	 * @param mixed $slug
	 *
	 * @return self
	 */
	public function setSlug($slug) {
		$this->slug = $slug;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getAnonimo() {
		return $this->anonimo;
	}

	/**
	 * @param mixed $anonimo
	 *
	 * @return self
	 */
	public function setAnonimo($anonimo) {
		$this->anonimo = $anonimo;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getObservacao() {
		return $this->observacao;
	}

	/**
	 * @param mixed $observacao
	 *
	 * @return self
	 */
	public function setObservacao($observacao) {
		$this->observacao = $observacao;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getDescricao() {
		return $this->descricao;
	}

	/**
	 * @param mixed $descricao
	 *
	 * @return self
	 */
	public function setDescricao($descricao) {
		$this->descricao = $descricao;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getCorrego() {
		return $this->corrego;
	}

	/**
	 * @param mixed $corrego
	 *
	 * @return self
	 */
	public function setCorrego($corrego) {
		$this->corrego = $corrego;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getMicrobacia() {
		return $this->microbacia;
	}

	/**
	 * @param mixed $microbacia
	 *
	 * @return self
	 */
	public function setMicrobacia($microbacia) {
		$this->microbacia = $microbacia;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getVegetacao() {
		return $this->vegetacao;
	}

	/**
	 * @param mixed $vegetacao
	 *
	 * @return self
	 */
	public function setVegetacao($vegetacao) {
		$this->vegetacao = $vegetacao;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getFauna() {
		return $this->fauna;
	}

	/**
	 * @param mixed $fauna
	 *
	 * @return self
	 */
	public function setFauna($fauna) {
		$this->fauna = $fauna;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getAnaliseAgua() {
		return $this->analise_agua;
	}

	/**
	 * @param mixed $analise_agua
	 *
	 * @return self
	 */
	public function setAnaliseAgua($analise_agua) {
		$this->analise_agua = $analise_agua;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getDataCadastro() {
		return $this->data_cadastro;
	}

	/**
	 * @param mixed $data_cadastro
	 *
	 * @return self
	 */
	public function setDataCadastro($data_cadastro) {
		$this->data_cadastro = $data_cadastro;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getIcone() {
		return $this->icone;
	}

	/**
	 * @param mixed $icone
	 *
	 * @return self
	 */
	public function setIcone($icone) {
		$this->icone = $icone;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getVazao() {
		return $this->vazao;
	}

	/**
	 * @param mixed $vazao
	 *
	 * @return self
	 */
	public function setVazao($vazao) {
		$this->vazao = $vazao;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getVideo() {
		return $this->video;
	}

	/**
	 * @param mixed $video
	 *
	 * @return self
	 */
	public function setVideo($video) {
		$this->video = $video;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getMarco() {
		return $this->marco;
	}

	/**
	 * @param mixed $marco
	 *
	 * @return self
	 */
	public function setMarco($marco) {
		$this->marco = $marco;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getDataAtualizacao() {
		return $this->data_atualizacao;
	}

	/**
	 * @param mixed $data_atualizacao
	 *
	 * @return self
	 */
	public function setDataAtualizacao($data_atualizacao) {
		$this->data_atualizacao = $data_atualizacao;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getImagemPrincipal() {
		return $this->imagem_principal;
	}

	/**
	 * @param mixed $imagem_principal
	 *
	 * @return self
	 */
	public function setImagemPrincipal($imagem_principal) {
		$this->imagem_principal = $imagem_principal;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getImagemUsuario() {
		return $this->imagem_usuario;
	}

	/**
	 * @param mixed $imagem_usuario
	 *
	 * @return self
	 */
	public function setImagemUsuario($imagem_usuario) {
		$this->imagem_usuario = $imagem_usuario;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getImagens() {
		return $this->imagens;
	}

	/**
	 * @param mixed $imagens
	 *
	 * @return self
	 */
	public function setImagens($imagens) {
		$this->imagens = $imagens;

		return $this;
	}
}
