<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-05-08 09:39:56
 */

ob_start();

require 'config.php';
$form_fields = array('numero_nascente', 'video', 'microbacia', 'analise_agua', 'vazao',
	'cep', 'logradouro', 'bairro', 'numero', 'cidade', 'estado', 'complemento', 'latitude', 'longitude',
	'usuario_app', 'localizacao', 'status', 'origem', 'titulo',
	'slug', 'anonimo', 'observacao', 'descricao', 'usuario_nome', 'usuario_email',
	'usuario_telefone', 'corrego', 'subbacia', 'local', 'vegetacao', 'fauna',
	'qualidade_agua', 'area_preservacao', 'manual_lat', 'manual_lng',
	'tipo_localizacao', 'lat', 'lng');

$vld->initializeAll($form_fields);

if ($vld->send('nascente_add')) {
	try {
		$vld->validate();

		$obj = $controllerNascente->insert($_POST, $_FILES);

		$vld->clear();

		$tpl->message('form_add', 'Item cadastrado');

	} catch (Exception $e) {
		$tpl->error('form_add', $e->getMessage());
	}
}

$tpl->select('status', $controllerNascente->getStatus(), NULL);

$lista = $controllerFonte->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('fonte', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('fonte', $item->getId(), $item->getNome(), NULL);
}

$lista = $controllerReparo->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('reparo', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('reparo', $item->getId(), $item->getNome(), NULL);
}

$lista = $controllerSituacaoNascente->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('situacao_nascente', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('situacao_nascente', $item->getId(), $item->getNome(), NULL);
}

$lista = $controllerTipoNascente->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('tipo_nascente', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('tipo_nascente', $item->getId(), $item->getNome(), NULL);
}

$lista = $controllerIcone->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('icone', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('icone', $item->getId(), $item->getNome(), NULL);
}

$lista = $controllerCidade->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
// $tpl->assignSelect('cidade', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('cidade', $item->getId(), $item->getNome(), NULL);
}

$tpl->assignFormVars($form_fields);

$tpl->show();
