<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-22 20:18:01
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-26 07:39:05
 */

ob_start();

require 'config.php';

$id = isset($_GET['id']) ? (int) $_GET['id'] : (int) $_POST['id'];

$obj = $controllerNascente->getById($id);

$form_fields = array('numero_nascente', 'video', 'microbacia', 'analise_agua', 'vazao',
	'cep', 'logradouro', 'bairro', 'numero', 'cidade', 'estado', 'complemento', 'latitude', 'longitude',
	'usuario_app', 'localizacao', 'status', 'origem', 'titulo',
	'slug', 'anonimo', 'observacao', 'descricao', 'usuario_nome', 'usuario_email',
	'usuario_telefone', 'corrego', 'subbacia', 'local', 'vegetacao', 'fauna',
	'qualidade_agua', 'area_preservacao', 'manual_lat', 'manual_lng',
	'tipo_localizacao', 'lat', 'lng');

if ($vld->send('nascente_edit')) {
	try {
		$vld->validate();

		$obj = $controllerNascente->update($_POST, $_FILES, $obj);

		$vld->clear();

		$tpl->message('form_edit', 'Cadastro atualizado');

	} catch (Exception $e) {
		$tpl->error('form_edit', $e->getMessage());
	}
}

$tpl->assign('ID', $obj->getId());
$tpl->assign('ORIGEM', $obj->getOrigem());
$tpl->assign('ANONIMO', $obj->getAnonimo());
$tpl->assign('LOCALIZACAO_TIPO', $obj->getLocalizacao()->getTipo());

$tpl->assign('TITULO', $obj->getTitulo());
$tpl->assign('NUMERO_NASCENTE', $obj->getNumero());
$tpl->assign('OBSERVACAO', $obj->getObservacao());
$tpl->assign('DESCRICAO', $obj->getDescricao());
$tpl->assign('VIDEO', $obj->getVideo());

$imagem = $obj->getImagemPrincipal();
$tpl->assign('IMAGEM', '<img src="' . STORAGE_DIR . '../../sistema/assets/images/attach-1.png" alt="...">');
if (!empty($imagem)) {

	$imagem = is_file($dir_upload . $obj->getImagemPrincipal())
	? '<img src="' . STORAGE_DIR . $obj->getImagemPrincipal() . '" width="200">'
	: '<img src="' . STORAGE_DIR . '../' . $obj->getImagemPrincipal() . '" alt="...">';
	$tpl->assign('IMAGEM', $imagem);
}

$imagem = $obj->getMarco();
$tpl->assign('MARCO', '<img src="' . STORAGE_DIR . '../../sistema/assets/images/attach-1.png" alt="...">');
if (!empty($imagem)) {

	$imagem = is_file($dir_upload . $obj->getMarco())
	? '<img src="' . STORAGE_DIR . $obj->getMarco() . '" width="200">'
	: '<img src="' . STORAGE_DIR . 'sistema/assets/images/attach-1.png" alt="...">';
	$tpl->assign('MARCO', $imagem);
}

$imagem = $obj->getImagemUsuario();
$tpl->assign('IMAGEM_USUARIO', !empty($obj->getImagemUsuario())
	? '<img src="data:image/jpeg;base64,' . $obj->getImagemUsuario() . '" width="200" >' : '');

$tpl->select('status', $controllerNascente->getStatus(), $obj->getStatus());

$tpl->assign('CORREGO', $obj->getCorrego());
$tpl->assign('MICROBACIA', $obj->getMicrobacia());
$tpl->assign('VEGETACAO', $obj->getVegetacao());
$tpl->assign('FAUNA', $obj->getFauna());
$tpl->assign('ANALISE_AGUA', $obj->getAnaliseAgua());
$tpl->assign('VAZAO', $obj->getVazao());

$lista = $controllerFonte->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('fonte', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('fonte', $item->getId(), $item->getNome(), $obj->getFonte() ? $obj->getFonte()->getId() : null);
}

$lista = $controllerReparo->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('reparo', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('reparo', $item->getId(), $item->getNome(), $obj->getReparo() ? $obj->getReparo()->getId() : null);
}

$lista = $controllerSituacaoNascente->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('situacao_nascente', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('situacao_nascente', $item->getId(), $item->getNome(), $obj->getSituacao() ? $obj->getSituacao()->getId() : null);
}

$lista = $controllerTipoNascente->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('tipo_nascente', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('tipo_nascente', $item->getId(), $item->getNome(), $obj->getTipo() ? $obj->getTipo()->getId() : null);
}

$lista = $controllerIcone->findBy(array('status' => 'ATIVO'), array('nome' => 'ASC'));
$tpl->assignSelect('icone', null, '', null);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('icone', $item->getId(), $item->getNome(), $obj->getIcone() ? $obj->getIcone()->getId() : null);
}

$cidade = $obj->getLocalizacao()->getCidade() ? $obj->getLocalizacao()->getCidade()->getId() : null;

$lista = $controllerCidade->findBy(array('status' => ['ATIVO', 'INATIVO']), array('nome' => 'ASC'));
$tpl->assignSelect('cidade', null, '', $cidade);
foreach ($lista as $key => $item) {
	$tpl->assignSelect('cidade', $item->getId(), $item->getNome(), $cidade);
}

$tpl->assign('CEP', $obj->getLocalizacao()->getCep());
$tpl->assign('LOGRADOURO', $obj->getLocalizacao()->getLogradouro());
$tpl->assign('NUMERO', $obj->getLocalizacao()->getNumero());
$tpl->assign('BAIRRO', $obj->getLocalizacao()->getBairro());
// $tpl->assign('CIDADE', $obj->getLocalizacao()->getCidade());
$tpl->assign('ESTADO', $obj->getLocalizacao()->getCidade() ? $obj->getLocalizacao()->getCidade()->getEstado() : '');
$tpl->assign('LATITUDE', $obj->getLocalizacao()->getLatitude());
$tpl->assign('LONGITUDE', $obj->getLocalizacao()->getlongitude());

$tpl->assign('USUARIO_NOME', $obj->getUsuario() ? $obj->getUsuario()->getNome() : '');
$tpl->assign('USUARIO_EMAIL', $obj->getUsuario() ? $obj->getUsuario()->getEmail() : '');
$tpl->assign('USUARIO_TELEFONE', $obj->getUsuario() ? $obj->getUsuario()->getTelefone() : '');

$tpl->show();
