<?php

class ControllerParticipe extends \Framework\Banco {

	private $path;

	public function __construct($path = null) {
		parent::__construct('Participe');
		$this->path = $path;

		if (!is_dir($this->path) && !is_null($this->path)) {
			mkdir($this->path, 0777);
		}
	}

	public function insert($post, $files) {

		try {
			$obj = new Participe();
			$obj->setStatus($post['status']);
			$obj->setNome($post['nome']);
			$obj->setOrdem(isset($post['ordem']) ? (int) $post['ordem'] : 0);

			$imagem = $this->uploadImagem($files['logo']);
			if ($imagem) {
				$obj->setLogo($imagem);
			}

			return parent::persist($obj);

		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function update($post, $files, $obj) {

		try {
			$obj->setStatus($post['status']);
			$obj->setNome($post['nome']);
			$obj->setOrdem(isset($post['ordem']) ? (int) $post['ordem'] : 0);

			if (isset($files['logo'])) {
				$imagem = $this->uploadImagem($files['logo']);
				if ($imagem) {
					$obj->setLogo($imagem);
				}
			}

			parent::merge($obj);

			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	private function uploadImagem($file) {

		try {
			if (isset($file['tmp_name']) && !empty($file['tmp_name'])) {
				$arquivo = uniqid(time()) . '.' . pathinfo($file['name'], PATHINFO_EXTENSION);

				$this->saveToFile($file, $arquivo);

				return $arquivo;
			}

			return null;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	private function saveToFile($file, $nome) {
		try {
			\WideImage\WideImage::load($file['tmp_name'])
				->resize(1280, 800, 'inside')
				->saveToFile($this->path . $nome);
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

}
