<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-26 13:23:25
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-25 11:46:57
 */

class ControllerRealidadeAmpliada extends \Framework\Banco {

	private $qrcode = null;

	public function __construct() {
		parent::__construct('RealidadeAmpliada');

	}

	public function insert($post) {

		try {
			$obj = new RealidadeAmpliada();
			$obj->setNome(($post['nome']));
			$obj->setStatus($post['status']);
			$obj->setLink($post['link']);

			$this->qrcode = new \Framework\QRCode(utf8_encode($post['link']), 'H');
			$this->qrcode->disableBorder();

			$obj->setQrcode($this->qrcode->displayPNG(800));

			parent::merge($obj);
			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}

		return $obj;
	}

	public function update($post, $obj) {

		try {
			$obj->setNome(($post['nome']));
			$obj->setStatus($post['status']);
			$obj->setLink($post['link']);

			$this->qrcode = new \Framework\QRCode(utf8_encode($post['link']), 'H');
			$this->qrcode->disableBorder();

			$obj->setQrcode($this->qrcode->displayPNG(800));

			parent::merge($obj);
			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

}
