<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:12
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-26 01:12:40
 */

class ControllerLog extends \Framework\Banco {

	public function __construct() {
		parent::__construct('Log');
	}

	public function insert($tabela, $entidade, $acao, $campos) {

		try {
			if (isset($_SESSION['user_id'])) {
				$obj = new Log;
				$obj->setAcao($acao);
				$obj->setTabela($tabela);
				$obj->setClasse(get_class($entidade));
				$obj->setCampos(json_encode($campos));
				$obj->setData(new DateTime());

				$controllerUsuario = new ControllerUsuario();
				$usuario = $controllerUsuario->getById($_SESSION['user_id']);
				$obj->setUsuario($usuario);

				parent::merge($obj);
				return $obj;
			}
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function tratarLog($campos) {
		try {

			$campos = json_decode($campos, true);
			$retorno = '';
			foreach ($campos as $key => $value) {
				$retorno .= "Campo: <strong>{$key}</strong>";

				$retorno .= "<p>";
				foreach ($value as $k => $val) {
					if (is_array($val)) {
						$val = json_encode($val, true);
					}
					// echo sizeof($val);die();
					if (strlen($val) > 300) {
						$val = "<div class=\"col-sm-12\" contenteditable=\"false\" style=\"height: 300px; overflow:scroll; border: 2px solid #ededed;\">{$val}</div>";
						// $val = "<textarea class=\"wysihtml5\" rows=\"7\">{$val}</textarea>";
					}
					$retorno .= $val ? "<strong>{$k} : </strong>{$val}<br/>" : '';
				}
				$retorno .= "</p>";
			}

			return $retorno;

		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}
}
