<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:12
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-12 20:07:01
 */

class ControllerModulo extends \Framework\Banco
{

    public function __construct()
    {
        parent::__construct('Modulo');
    }

    public function getModulos($status = 'ATIVO')
    {
        try {
            $modulos = array();

            $perm = parent::findBy(array('status' => $status));

            foreach ($perm as $key => $value) {
                $modulos[$value->getId()] = $value->getNome();
            }

            return $modulos;
        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }
    }

    public function add($modulos)
    {

        try {
            $instalados = $this->getModulos();

            $result = array_diff($modulos, $instalados);
            foreach ($result as $key => $value) {
                $this->insert('ATIVO', $value);
            }

            $result = array_diff($instalados, $modulos);
            foreach ($result as $key => $value) {
                $this->delete($this->getById($key));
            }
        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }

    }

    private function insert($status, $modulo)
    {

        try {
            $obj = new Modulo();
            $obj->setNome($modulo);
            $obj->setStatus($status);

            parent::persist($obj);
            return $obj;
        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }
    }
}
