<?php

use Doctrine\Common\EventSubscriber;
use Doctrine\ORM\Events;

class LogEventListener implements EventSubscriber {

	public function getSubscribedEvents() {
		return array(
			Events::postUpdate,
			Events::postPersist,
		);
	}

	public function postPersist($args) {
		$entity = $args->getEntity();

		if (get_class($entity) != 'Log') {
			$controllerLog = new ControllerLog();

			$entityManager = $args->getEntityManager();
			$uow = $entityManager->getUnitOfWork();
			$changeSet = $uow->getEntityChangeSet($entity);
			$campos = array();
			foreach ($changeSet as $key => $value) {
				$campos[$key] = array('de' => $value[0], 'para' => $value[1]);
			}

			$tabela = $entityManager->getClassMetadata(get_class($entity))->getTableName();

			$controllerLog->insert($tabela, $entity, 'CADASTRO', $campos);
		}
	}

	public function postUpdate($args) {
		$entity = $args->getEntity();

		if (get_class($entity) != 'Log') {
			$controllerLog = new ControllerLog();

			$entityManager = $args->getEntityManager();
			$uow = $entityManager->getUnitOfWork();
			$changeSet = $uow->getEntityChangeSet($entity);
			$campos = array();
			foreach ($changeSet as $key => $value) {
				$campos[$key] = array('de' => $value[0], 'para' => $value[1]);
			}

			$tabela = $entityManager->getClassMetadata(get_class($entity))->getTableName();

			$controllerLog->insert($tabela, $entity, 'ATUALIZACAO', $campos);
		}
	}

}