<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:12
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-23 13:10:57
 */

/**
 *
 * @Entity
 * @Table(name="log")
 */
class Log {
	/**
	 * @Id
	 * @GeneratedValue(strategy="AUTO")
	 * @Column(type="integer", name="id", nullable=false)
	 */
	protected $id;

	/**
	 * @Column(type="string", name="acao")
	 */
	protected $acao;

	/**
	 * @Column(type="string", name="tabela")
	 */
	protected $tabela;

	/**
	 * @Column(type="string", name="classe")
	 */
	protected $classe;

	/**
	 * @Column(type="string", name="campos")
	 */
	protected $campos;

	/**
	 * @Column(type="datetime", name="data")
	 */
	protected $data;

	/**
	 * @ManyToOne(targetEntity="Usuario", cascade={"merge"})
	 * @JoinColumn(name="usuario_id", referencedColumnName="usuario_id")
	 */
	protected $usuario;

	public function getId() {
		return $this->id;
	}

	/**
	 * @return mixed
	 */
	public function getCampos() {
		return $this->campos;
	}

	/**
	 * @param mixed $campos
	 *
	 * @return self
	 */
	public function setCampos($campos) {
		$this->campos = $campos;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getAcao() {
		return $this->acao;
	}

	/**
	 * @param mixed $acao
	 *
	 * @return self
	 */
	public function setAcao($acao) {
		$this->acao = $acao;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getTabela() {
		return $this->tabela;
	}

	/**
	 * @param mixed $tabela
	 *
	 * @return self
	 */
	public function setTabela($tabela) {
		$this->tabela = $tabela;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getClasse() {
		return $this->classe;
	}

	/**
	 * @param mixed $classe
	 *
	 * @return self
	 */
	public function setClasse($classe) {
		$this->classe = $classe;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getUsuario() {
		return $this->usuario;
	}

	/**
	 * @param mixed $usuario
	 *
	 * @return self
	 */
	public function setUsuario($usuario) {
		$this->usuario = $usuario;

		return $this;
	}

	/**
	 * @return mixed
	 */
	public function getData() {
		return $this->data;
	}

	/**
	 * @param mixed $data
	 *
	 * @return self
	 */
	public function setData($data) {
		$this->data = $data;

		return $this;
	}
}
