<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-03-12 20:07:27
 */

class ControllerPerfil extends \Framework\Banco
{
    private $helper = null;

    public function __construct()
    {
        parent::__construct('Perfil');
        $this->helper = new \Framework\Helper();
    }

    public function insert($value)
    {
        try {
            $slug = strtoupper($this->helper->createSlug($value['nome']));

            $obj = new Perfil();
            $obj->setStatus('ATIVO');
            $obj->setNome(($value['nome']));
            $obj->setSlug($slug);

            parent::persist($obj);

            if (isset($value['modulos'])) {
                $this->setModulos($obj, $value['modulos']);
            }

            return $obj;
        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }
    }

    public function update($value, $obj)
    {

        try {
            $slug = $this->helper->createSlug($value['nome']);

            $obj->setNome($value['nome']);
            $obj->setSlug($slug);

            parent::merge($obj);

            if (isset($value['modulos'])) {
                $this->setModulos($obj, $value['modulos']);
            }
            return $obj;
        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }
    }

    private function setModulos($obj, $modulos)
    {

        $connection = $this->entityManager->getConnection();

        try {
            $connection->query('DELETE FROM perfil_has_modulo WHERE perfil_id = ' . $obj->getId());

            foreach ($modulos as $modulo) {

                if (!empty($modulo)) {
                    $connection->insert('perfil_has_modulo', array(
                        'modulo_id' => $modulo,
                        'perfil_id' => $obj->getId()));
                }
            }
        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }
    }

    public function getModulosPerfil($perfil)
    {
        try {
            $perfil = $this->getById($perfil);
            $modulos = array();

            foreach ($perfil->getModulos() as $key => $value) {
                $modulos[] = $value->getNome();
            }

            return $modulos;

        } catch (Exception $e) {
            throw new Exception($e->getMessage(), 1);
        }
    }

}
