<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2019-02-23 09:28:46
 */

class ControllerUsuario extends \Framework\Banco {

	public function __construct() {
		parent::__construct('Usuario');
	}

	public function insert($value) {

		try {
			$obj = new Usuario;
			$obj->setStatus('ATIVO');
			$obj->setNome($value['nome']);
			$obj->setLogin($value['usuario']);
			$obj->setSenha(md5($value['senha']));
			$obj->setEmail($value['email']);

			$perfil = new ControllerPerfil();
			$obj->setPerfil($perfil->getById($value['perfil']));

			parent::merge($obj);
			return $obj;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function update($post, $user) {

		try {
			$user->setNome($post['nome']);
			$user->setEmail($post['email']);

			$perfil = new ControllerPerfil();
			$user->setPerfil($perfil->getById($post['perfil']));

			parent::merge($user);
			return $user;
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function updatePass($user) {
		parent::merge($obj);
		return $obj;
	}

	public function login($user, $password) {

		try {
			$session = new \Framework\SessionManager();

			$password = md5($password); //@TODO implementar funcao password_hash($password, PASSWORD_BCRYPT)

			$user = $this->getByAttr(array('login' => $user,
				'senha' => $password, 'status' => 'ATIVO'));

			if (!empty($user)) {

				$controllerPerfil = new ControllerPerfil();

				$list = array();

				foreach ($controllerPerfil->getModulosPerfil($user->getPerfil()->getId()) as $key => $value) {
					$list[$value] = $value;
				}

				$session->start();

				$session->register(array(
					'user_id' => $user->getId(),
					'user_name' => $user->getNome(),
					'user_user' => $user->getLogin(),
					'user_permissions' => $list,
				));

			} else {
				throw new Exception('Usuário ou senha inválidos');
			}
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function logout() {
		try {
			$session = new \Framework\SessionManager();
			$session->setRedirect('../../index.php');
			$session->destroy();
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function rowCountPass($pass, $id_user) {
		try {
			$pass = md5($pass);

			return $this->getByAttr(array('senha' => $pass,
				'id' => $id_user));
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function changePassword($post, $id_user) {

		try {

			$pass = md5($post['senha']);
			$obj = $this->getById($id_user);
			$obj->setSenha($pass);

			parent::merge($obj);
			return $obj;

		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}
	}

	public function recuperaSenha($user) {
		try {
			$sistema = new ControllerSistema();
			$sistema = $sistema->getByAttr();
			$helper = new \Framework\Helper;

			$nsenhav = $helper->randomText(6);
			$nsenha = md5($nsenhav);

			$em = 'Prezado(a) ' . $user->getNome() . ', este e-mail é uma resposta a solicitação de senha de acesso realizada em ' . date('d/m/Y') . ' as ' . date('h:i:s');
			$em .= '<br><br><strong>Dados para acesso:</strong><br>Senha: ' . $nsenhav;

			$configMail = array(
				'user' => $sistema->getSmtpUsuario(),
				'pass' => $sistema->getSmtpSenha(),
				'host' => $sistema->getSmtpHost(),
				'securit' => $sistema->getSmtpSeguranca());

			$configSender = array(
				'email' => $sistema->getSmtpUsuario(),
				'nome' => $sistema->getNome());

			$mail = new \Framework\Mail($configMail['host'], $configMail['user'], $configMail['pass']);

			return $mail->send(
				$user->getEmail(),
				$user->getNome(),
				$configSender['email'],
				$configSender['nome'],
				'Solicitação de nova senha de acesso.',
				$em);
		} catch (Exception $e) {
			throw new Exception($e->getMessage(), 1);
		}

	}
}
