<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2018-02-26 17:09:57
 */

/**
 *
 * @Entity
 * @Table(name="perfil")
 */
class Perfil
{
    /**
     * @Id
     * @GeneratedValue(strategy="AUTO")
     * @Column(type="integer", name="perfil_id", nullable=false)
     */
    protected $id;

    /**
     * @Column(type="string", name="perfil_nome")
     */
    protected $nome;

    /**
     * @Column(type="string", name="perfil_slug")
     */
    protected $slug;

    /**
     * @Column(type="string", name="perfil_status")
     */
    protected $status;

    /**
     * @ManyToMany(targetEntity="Modulo")
     * @JoinTable(name="perfil_has_modulo",
     *      joinColumns={@JoinColumn(name="perfil_id", referencedColumnName="perfil_id")},
     *      inverseJoinColumns={@JoinColumn(name="modulo_id", referencedColumnName="modulo_id")}
     *      )
     **/
    private $modulos;

    public function __construct()
    {
        $this->modulos = new \Doctrine\Common\Collections\ArrayCollection();
    }

    public function getId()
    {
        return $this->id;
    }

    public function getNome()
    {
        return $this->nome;
    }

    public function setNome($nome)
    {
        $this->nome = $nome;

        return $this;
    }

    public function getStatus()
    {
        return $this->status;
    }

    public function setStatus($status)
    {
        $this->status = $status;

        return $this;
    }

    public function getModulos()
    {
        return $this->modulos;
    }

    public function setModulos($modulos)
    {
        $this->modulos = $modulos;

        return $this;
    }

    public function getSlug()
    {
        return $this->slug;
    }

    public function setSlug($slug)
    {
        $this->slug = $slug;

        return $this;
    }
}
