<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:12
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-17 15:28:38
 */

ob_start();
require_once 'autoload.php';

$session = new \Framework\SessionManager();
$tpl = new \Framework\Template();
$module = new \Framework\Module();

$tpl->assign('URL_SISTEMA', getenv('URL_SISTEMA'));

$tpl->assign('USER_NAME_ACTIVE', $session->get('user_name'));

$session->check();

$active_modules = $module->scanActiveModules($session->get('user_permissions'));
ksort($active_modules);

foreach ($active_modules as $mod) {
	$tpl->MODULO = $mod['label'];
	$tpl->DIRETORIO = $mod['patch'];
	$tpl->ICON = $mod['icon'];

	$tpl->block('modulo');

	foreach ($mod['panel_itens'] as $page => $panel) {
		$tpl->ROTULO = $panel['label'];
		$tpl->PAGINA = $panel['page'];
		$tpl->ICON = $panel['icon'];
		$tpl->DIRETORIO = $mod['patch'];

		$tpl->block('itens');
	}

	$tpl->MODULO = $mod['label'];
	$tpl->DIRETORIO = $mod['patch'];
	$tpl->ICON = $mod['icon'];

	$tpl->block('modulo_show');

	foreach ($mod['panel_itens'] as $page => $panel) {
		$tpl->ROTULO = $panel['label'];
		$tpl->PAGINA = $panel['page'];
		$tpl->ICON = $panel['icon'];
		$tpl->DIRETORIO = $mod['patch'];

		$tpl->block('itens_show');
	}
}

$tpl->show();
