<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   fhagnerduarte
 * @Last Modified time: 2019-02-17 15:28:44
 */

ob_start();
require_once 'autoload.php';

$session = new \Framework\SessionManager();
$tpl = new \Framework\Template();

$vld = new \Framework\Validation;
$helper = new \Framework\Helper;
$controller = new ControllerUsuario();

$tpl->assign('URL_SISTEMA', getenv('URL_SISTEMA'));

$vld->initializeAll(array('email', 'usuario'));

if ($vld->send('recupera_senha')) {
	try {

		$vld->validate();

		$user = $controller->selectByUserEmail($_POST['usuario'], $_POST['email']);
		if (empty($user)) {
			$tpl->error('recupera_senha', 'E-mail ou  usuário nâo confere');
		} else {

			$envia = $controller->recuperaSenha();

			if (!$envia) {
				$tpl->error('recupera_senha', 'Falha ao envia e-mail, por favor tente novamente.');
			} else {

				$controller->updatePass($user);

				$vld->clear();

				$tpl->message('recupera_senha', 'Nova senha enviada para o e-mail: ' . $user->getEmail());
			}

		}

	} catch (Exception $e) {
		$tpl->error('recupera_senha', $e->getMessage());
	}
}

$tpl->show();
