<?php

/**
 * @Company: NetPixel Tecnologia
 * @Author: fhagnerduarte
 * @Date:   2018-02-21 22:42:13
 * @Last Modified by:   Fhagner Duarte
 * @Last Modified time: 2018-12-10 16:06:23
 */

ob_start();
require_once 'autoload.php';
$session = new \Framework\SessionManager();
$tpl = new \Framework\Template();
$vld = new \Framework\Validation();
$userController = new ControllerUsuario();

// $tpl->assign('URL_SISTEMA', getenv('URL'));

$session->check();

$id_user = $session->get('user_id');

$vld->initializeAll(array('senha_atual', 'senha', 'repita_senha'));

if ($vld->send('user_change_password')) {
	try {
		$vld->validate();

		if (!$userController->rowCountPass($_POST['senha_atual'], $id_user)) {
			$tpl->error('form_edit', 'Senha atual não confere');
		} else {

			$userController->changePassword($_POST, $id_user);

			$vld->clear();

			$tpl->message('form_edit', 'Senha alterada');

		}

	} catch (Exception $e) {

		$tpl->error('form_edit', $e->getMessage());

	}
}

$module = new \Framework\Module('modules/');

$tpl->assign('URL_SISTEMA', getenv('URL'));

$active_modules = $module->scanActiveModules($session->get('user_permissions'));
ksort($active_modules);
foreach ($active_modules as $mod) {
	$tpl->MODULO = $mod['label'];
	$tpl->DIRETORIO = $mod['patch'];
	$tpl->ICON = $mod['icon'];
	$tpl->CLASS = $mod['name'];

	$tpl->block('modulo');

	foreach ($mod['panel_itens'] as $page => $panel) {
		$tpl->ROTULO = $panel['label'];
		$tpl->PAGINA = $panel['page'];
		$tpl->ICON = $panel['icon'];
		$tpl->DIRETORIO = $mod['patch'];

		$tpl->block('itens');
	}
}

$tpl->assign('USER_NAME_ACTIVE', $session->get('user_name'));

$tpl->show();
